package com.dhcc.finance.main.dao;

import com.dhcc.finance.main.domain.CwHsOutcwVoucher;
import com.dhcc.finance.main.domain.CwHsOutcwVoucherExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface CwHsOutcwVoucherMapper {
    long countByExample(CwHsOutcwVoucherExample example);

    int deleteByExample(CwHsOutcwVoucherExample example);

    int deleteByPrimaryKey(String id);

    int insert(CwHsOutcwVoucher record);

    int insertSelective(CwHsOutcwVoucher record);

    List<CwHsOutcwVoucher> selectByExample(CwHsOutcwVoucherExample example);

    CwHsOutcwVoucher selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") CwHsOutcwVoucher record, @Param("example") CwHsOutcwVoucherExample example);

    int updateByExample(@Param("record") CwHsOutcwVoucher record, @Param("example") CwHsOutcwVoucherExample example);

    int updateByPrimaryKeySelective(CwHsOutcwVoucher record);

    int updateByPrimaryKey(CwHsOutcwVoucher record);
    
    /**
     * 功能描述：批量新增
     * @param cwHsOutcwVoucherList
     * @return int
     * @author dml
     * @date 2019年10月16日 下午5:07:12
     * @修改日志：
     */
    int insertBeatch (List<CwHsOutcwVoucher> list);
    /**
     * 功能描述：删除数据
     * @param map
     * @return int
     * @author dml
     * @date 2019年10月16日 下午8:53:32
     * @修改日志：
     */
    int deleteOutcwVoucher(Map<String, Object> map);
}